# Directories Directories ## Gets all of the directories in the system. - [GET /directories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/directories/listdirectories.md): This method will scan all directories and and return them to the caller. ## Creates a new directory record that does not already exist. - [POST /directories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/directories/createdirectory.md): This method will auto-generate an ID and create a new directory. If an ID is specified for the directory, an error will be thrown. ## Execute Batch Operations - [POST /directories/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/directories/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Gets an entry in the directory - [GET /directories/{tenantId}/public/entry/{id}/{entryId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/directories/getdirectoryentry.md) ## Searches the directory - [POST /directories/{tenantId}/public/search/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/directories/searchpublicdirectory.md) ## Sends a message to an entry in the directory - [POST /directories/{tenantId}/public/sendMessage/{directoryId}/{entryId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/directories/senddirectorymessage.md) ## Returns a directory from the system by its ID. - [GET /directories/{tenantId}/public/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/directories/getpublicdirectory.md): This method will look up a directory by the specified ID and return it back. ## Searches the directory - [POST /directories/{tenantId}/search/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/directories/searchdirectory.md) ## Returns a directory from the system by its ID. - [DELETE /directories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/directories/deletedirectory.md): This method will delete a directory with the specified ID. ## Returns a directory from the system by its ID. - [GET /directories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/directories/getdirectory.md): This method will look up a directory by the specified ID and return it back. ## Partially updates a directory with the specified ID. - [PATCH /directories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/directories/patchdirectory.md): This method will patch an existing directory with the specified ID, using the HTTP PATCH specification. ## Updates a directory with the specified ID. - [PUT /directories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/directories/updatedirectory.md): This method will update an existing directory with the specified ID.